{% extends "base.html" %} {% block title %}My listings{% endblock %}

{% block content %}
<h1>My Listings</h1>
<a class="btn btn-primary" href="/add" role="button">Add new listing</a>
<table class="table table">
  <thead>
    <tr>
      <th scope="col">Site</th>
      <th scope="col">URL</th>
      <th scope="col">Email</th>
      <th scope="col">Filters</th>
      <th scope="col">Delete</th>
    </tr>
  </thead>
  <tbody>
    {% for listing in user_listings %}
        <tr>
          <td>{{ listing.site }}</td>
          <td>{{ listing.url }}</td>
          <td>{{ listing.email }}</td>
          <td>{{ listing.listing_data }}</td>
          <td>
              <button type="button" class="close btn btn-danger" onclick="deleteListing({{ listing.id }})">
                  <span aria-hidden="true">&times;</span>
        </button>
</td>
        </tr>
    {% endfor %}
  </tbody>
</table>
{% endblock %}
